Search Business Concepts (v3)
Searches Business Concepts using concept code, display name, description, synonyms, example phrases, and search keywords. Search is useful when a caller has keywords or curated phrases and wants matching Business Concepts.
REST Resource
POST
/HyperionPlanning/rest/v3/applications/{application}/businessconcepts/action/searchRequired Roles
Service Administrator
Request
Supported Media Types: application/json
The following table summarizes the client request parameters:
Table 3-72 Searching Business Concepts - Request Parameters
| Name | Description | Type | Required |
|---|---|---|---|
application |
Application name. | string | Yes |
text |
Keyword or natural-language text to search or resolve. | string | Yes |
locale |
Locale hint for matching text; defaults to the request locale. | string | No |
limit |
Maximum number of matches to return. | integer | No |
Sample Request Payload:
{
"text": "renewal motion",
"locale": "en-US",
"limit": 5
}
Response
The following table lists the Response parameters:
Table 3-73 Searching Business Concepts - Response Parameters
| Name | Description | Type |
|---|---|---|
items |
Returned Business Concept matches. | array |
totalResults |
Number of returned matches. | integer |
hasMore |
True when more results are available. | true |
Sample Response:
{
"items": [
{
"concept": {
"id": "33333333-3333-4333-8333-333333333333",
"code": "CUSTOM.RECURRING_REVENUE",
"displayName": "Recurring Revenue",
"source": "CUSTOMER",
"status": "APPROVED"
},
"score": 145,
"matchedFields": [
"searchKeywords"
],
"matchedTerms": [
"renewal",
"motion"
]
}
],
"totalResults": 1,
"hasMore": false
}